Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Endpoints en schema's
Get token by id
cURL
curl --request GET \ --url https://api.example.com/token/{address}
import requests url = "https://api.example.com/token/{address}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.example.com/token/{address}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/token/{address}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/token/{address}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.example.com/token/{address}") .asString();
require 'uri' require 'net/http' url = URI("https://api.example.com/token/{address}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "name": "ACME Token", "symbol": "ACME", "address": "0xc0ffee254729296a45a3885639AC7E10F9d54979", "decimals": 18, "isPaused": false, "totalSupply": 123, "createdAt": "2023-11-07T05:31:56Z" }
The token has been successfully retrieved
The name of the token
"ACME Token"
The symbol of the token
"ACME"
The address of the token
"0xc0ffee254729296a45a3885639AC7E10F9d54979"
The number of decimals places the token should have
18
Whether the token is paused
false
The total supply of the token
The date the token was created